Compliant Control Architecture - Bug #1397

Handle buffer access for unconfigured (optional) ports

02/05/2013 06:01 PM - Anonymous

Status: New Start date: 02/05/2013
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 1.00 hour
Target version: cca0.5

Description

Since we introduced optional ports, a component can have un-configured ports. Calling methods on the port, that access the buffer

(e. g. newltem()) directly access the buffer and result in a nullpointer exception.

History

#1 - 08/12/2013 02:18 PM - Anonymous

- Target version set to cca0.4

#2 - 09/12/2013 04:25 PM - Anonymous
- Target version changed from cca0.4 to cca0.5
